summaryrefslogtreecommitdiff
path: root/dev-cpp/simdutf/simdutf-5.2.8.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-cpp/simdutf/simdutf-5.2.8.ebuild')
-rw-r--r--dev-cpp/simdutf/simdutf-5.2.8.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/dev-cpp/simdutf/simdutf-5.2.8.ebuild b/dev-cpp/simdutf/simdutf-5.2.8.ebuild
new file mode 100644
index 000000000000..8bdfb6fb340a
--- /dev/null
+++ b/dev-cpp/simdutf/simdutf-5.2.8.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit cmake python-any-r1
+
+DESCRIPTION="simdutf: Unicode validation and transcoding at billions of characters per second"
+HOMEPAGE="https://simdutf.github.io/simdutf/"
+SRC_URI="https://github.com/simdutf/simdutf/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+BDEPEND="${PYTHON_DEPS}"
+
+RESTRICT="!test? ( test )"
+
+src_configure() {
+ local mycmakeargs=( -DSIMDUTF_TESTS=$(usex test ON OFF) )
+ cmake_src_configure
+}